Tom Coomer Tom Coomer - 5 months ago 59
Swift Question

Linking error when building Parse in Xcode 7

I am trying to add the SDK to my Xcode 7 project. I have followed the getting started guide and I have managed to do it before in Xcode 6.
However this time I am being shown this error message when I try to build:

ld: framework not found Bolts
clang: error: linker command failed with exit code 1 (use -v to see invocation)



I suggest you integrate Parse using CocoaPods.

Cocoapods manages the library dependencies in a much better way.

The following is a sample PodFile:

source ''

platform :ios, '7.0'


target '**YourProjectName**' do

  pod 'Parse', '~> 1.7.1'

  pod 'AFNetworking', '2.2.3'